- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IBroadcastEventReceiver
IButtonControl
INamingContainer
IPageStatePersister
IPostBackDataHandler
IPostBackEventHandler
ISurroundable
ITemplate
ITheme
IValidatable
IValidator
TBroadcastEventParameter
TCachePageStatePersister
TClientScriptManager
TClientSideOptions
TCommandEventParameter
TCompositeControl
TCompositeLiteral
TControl
TControlAdapter
TControlCollection
TEmptyControlCollection
TForm
THead
THtmlWriter
TPage
TPageStateFormatter
TPageStatePersister
TSessionPageStatePersister
TTemplate
TTemplateControl
TTemplateManager
TTextProcessor
TTheme
TThemeManager

Keyword

# Class TPageStatePersister

    TComponent
       |
       --TPageStatePersister

TPageStatePersister class

TPageStatePersister implements a page state persistent method based on form hidden fields.

Since page state can be very big for complex pages, consider using alternative persisters, such as TSessionPageStatePersister, which store page state on the server side and thus reduce the network traffic for transmitting bulky page state.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
TPage | getPage ()
mixed | load () Loads page state from hidden fields.
void | save ( mixed $state) Saves state in hidden fields.
void | setPage ( TPage $page)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getPage

public TPage getPage | ()

Output
TPage | the page that this persister works for
Exception

## load

public mixed load | ()

Loads page state from hidden fields.

Output
mixed | the restored state
Exception
throws | THttpException if page state is corrupted

## save

public void save | (mixed $state )

Saves state in hidden fields.

Input
mixed | $state | state to be stored
Output
Exception

## setPage

public void setPage | (TPage $page )

Input
TPage | $page | the page that this persister works for
Output
Exception